# Generated from aws-mason-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name aws-mason

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A tool for simplifying working on AWS Cloudformation Stacks
License: MIT
URL: http://rubygems.org/gems/aws-mason
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
aws-mason is a tool that will allow you to create easily usable stacks within
AWS. It breaks stacks into
easily digested pieces that can then be reused to build stacks. Stacks can
also inherit from other stacks allowing CloudFormation
to be the record of source.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/aws-mason
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
